Skip to content

List pending invitations

GET
/api/v1/workspaces/{workspace}/invitations
curl --request GET \
--url https://reputecast.example.com/api/v1/workspaces/acme-newsletter/invitations \
--header 'Authorization: Bearer <token>'

Permission: team:view

workspace
required

Workspace slug

string
/^[a-z0-9][a-z0-9-]{1,62}$/

Workspace slug

OK

Media typeapplication/json
object
canInvite
required
boolean
defaultDays
required
integer format: int64
items
required
Array<object>
object
createdAt
required
string format: date-time
email
required
string
expired
required
boolean
expiresAt
required
string format: date-time
id
required
string
invitedBy
required
string
lastSentAt
string format: date-time
message
required
string
role
required
object
builtin
required
boolean
id
required
string
key
required
string
name
required
string
scope
required
object
all
required
boolean
label
required
string
lists
required
Array<object>
object
id
required
string
name
required
string
senderDomains
required
Array<string>
sentVia
required
string
jit
required
Array<object>
object
domain
required
string
preset
required
string
provider
required
string
roleName
required
string

Example generated

{
"canInvite": true,
"defaultDays": 1,
"items": [
{
"createdAt": "2026-04-15T12:00:00Z",
"email": "example",
"expired": true,
"expiresAt": "2026-04-15T12:00:00Z",
"id": "example",
"invitedBy": "example",
"lastSentAt": "2026-04-15T12:00:00Z",
"message": "example",
"role": {
"builtin": true,
"id": "example",
"key": "example",
"name": "example"
},
"scope": {
"all": true,
"label": "example",
"lists": [
{
"id": "example",
"name": "example"
}
],
"senderDomains": [
"example"
]
},
"sentVia": "example"
}
],
"jit": [
{
"domain": "example",
"preset": "example",
"provider": "example",
"roleName": "example"
}
]
}

Error

Media typeapplication/problem+json
object
code

Stable error code, e.g. permission_denied

string
detail

A human-readable explanation specific to this occurrence of the problem.

string
errors

Optional list of individual error details

Array<object>
object
location

Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’

string
message

Error message text

string
value

The value at the given location

helpers

Members who hold the missing permission

Array<string>
instance

A URI reference that identifies the specific occurrence of the problem.

string format: uri
meta
object
key
additional properties
permission

The missing permission key

string
status

HTTP status code

integer format: int64
title

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string
type

A URI reference to human-readable documentation for the error.

string format: uri
default: about:blank

Example

{
"detail": "Property foo is required but is missing.",
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "about:blank"
}